/***********************************************************************/
/*                                                                     */
/*                       C_data_user_double.h                          */
/*                                                                     */
/*  simple definition of a type corresponding to a standard C type     */
/*                                                                     */
/*  authors: D. Gaffe and A. Ressouche                                 */
/*                                                                     */
/*  version: 02/01/2019                                                */
/***********************************************************************/

#ifndef C_DATA_USER_DOUBLE_H
#define C_DATA_USER_DOUBLE_H

extern const double zero_double;
#define copy_double(x) (x)
#define add_double(x,y) ((x) + (y))
#define sub_double(x,y) ((x) - (y))
#define neg_double(x) ((-1.0)*(x))
#define mult_double(x,y) ((x) * (y))
#define div_double(x,y) ((x) / (y))
extern int eq_double(double,double);
extern int neq_double(double,double);
#define less_double(x,y) ((x) < (y))
extern int lesseq_double(double,double);
#define sup_double(x,y) ((x) > (y))
extern int supeq_double(double,double);
#endif
